## org.eclipse.ocl.ecore
Class EcoreOCLStandardLibrary

    java.lang.Object
      org.eclipse.ocl.ecore.EcoreOCLStandardLibrary

All Implemented Interfaces:
  OCLStandardLibrary<EClassifier>

    public class EcoreOCLStandardLibrary

extends Object
implements OCLStandardLibrary<EClassifier>

An extensible implementation of the `OCLStandardLibrary` which provides the OCL Standard Library predefined M1 types and the associated operations related to them.

The Ecore-based OCL Standard library represents an `EPackage` which owns all the predefined OCL types defined by the specification. The library itself is built by the the internal internal `OCLStandardLibraryImpl` singleton.

Since:
  1.3
See Also:
  `OCLStandardLibraryImpl`

Constructor Summary
`EcoreOCLStandardLibrary()`

Method Summary
`EClassifier` `getBag()` Obtains the generic instance of the `BagType` metatype, named `Bag(T)`.
`EClassifier` `getBoolean()` Obtains the instance of the `PrimitiveType` metatype, named `Boolean`.
`EClassifier` `getCollection()` Obtains the generic instance of the `CollectionType` metatype, named `Collection(T)`.
`EClassifier` `getInteger()` Obtains the instance of the `PrimitiveType` metatype, named `Integer`.
`EClassifier` `getInvalid()` Obtains the single instance of the `InvalidType` metatype, named `Invalid`.
`EClassifier` `getOclAny()` Obtains the single instance of the `AnyType` metatype, named `OclAny`.
`EClassifier` `getOclElement()` Obtains the generic instance of the `ElementType` metatype, named `OclElement`.
`EClassifier` `getOclExpression()` Obtains the instance of the `ElementType` metatype that represents the type of OCL expressions in the model, named `OclExpression`.
`Object` `getOclInvalid()` Obtains the single instance of the `Invalid` type, identified by the token `OclInvalid`.
`EClassifier` `getOclMessage()` Obtains the generic instance of the `MessageType` metatype, named `OclMessage`.
`EPackage` `getOCLStdLibPackage()`
`EClassifier` `getOclType()` Obtains the generic instance of the `TypeType` metatype, named `OclType`.
`EClassifier` `getOclVoid()` Obtains the single instance of the `VoidType` metatype, named `OclVoid`.
`EClassifier` `getOrderedSet()` Obtains the generic instance of the `OrderedSetType` metatype, named `OrderedSet(T)`.
`EClassifier` `getReal()` Obtains the instance of the `PrimitiveType` metatype, named `Real`.
`EClassifier` `getSequence()` Obtains the generic instance of the `SequenceType` metatype, named `Sequence(T)`.
`EClassifier` `getSet()` Obtains the generic instance of the `SetType` metatype, named `Set(T)`.
`EClassifier` `getState()` Obtains the instance of the `ElementType` metatype that represents the type of states in the model, named `State`.
`EClassifier` `getString()` Obtains the instance of the `PrimitiveType` metatype, named `String`.
`EClassifier` `getT()` Obtains a generic instance of the `AnyType` metatype that represents the type parameter of generic types and operations, named `T`.
`EClassifier` `getT2()` Obtains a generic instance of the `AnyType` metatype that represents another type parameter of generic operations (particularly certain OCL `Collection` operations), named `T2`.
`EClassifier` `getUnlimitedNatural()` Obtains the instance of the `PrimitiveType` metatype, named `UnlimitedNatural`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreOCLStandardLibrary

    public EcoreOCLStandardLibrary()

Method Detail

### getBag

    public EClassifier getBag()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `BagType` metatype, named `Bag(T)`.

  Specified by:
    `getBag` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Bag(T)` type (an instance of `BagType`)

### getBoolean

    public EClassifier getBoolean()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `PrimitiveType` metatype, named `Boolean`.

  Specified by:
    `getBoolean` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Boolean` type (an instance of `PrimitiveType`)

### getCollection

    public EClassifier getCollection()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `CollectionType` metatype, named `Collection(T)`.

  Specified by:
    `getCollection` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Collection(T)` type (an instance of `CollectionType`)

### getInteger

    public EClassifier getInteger()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `PrimitiveType` metatype, named `Integer`.

  Specified by:
    `getInteger` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Integer` type (an instance of `PrimitiveType`)

### getInvalid

    public EClassifier getInvalid()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the single instance of the `InvalidType` metatype, named `Invalid`.

  Specified by:
    `getInvalid` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Invalid` type (an instance of `InvalidType`)

### getOclAny

    public EClassifier getOclAny()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the single instance of the `AnyType` metatype, named `OclAny`.

  Specified by:
    `getOclAny` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclAny` type (an instance of `AnyType`)

### getOclElement

    public EClassifier getOclElement()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `ElementType` metatype, named `OclElement`.

  Specified by:
    `getOclElement` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclElement` type (an instance of `ElementType`)

### getOclExpression

    public EClassifier getOclExpression()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `ElementType` metatype that represents the type of OCL expressions in the model, named `OclExpression`.

  Specified by:
    `getOclExpression` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclExpression` type (an instance of `ElementType`)

### getOclInvalid

    public Object getOclInvalid()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the single instance of the `Invalid` type, identified by the token `OclInvalid`.

  Specified by:
    `getOclInvalid` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclInvalid` instance (an instance of `Invalid`)

### getOclMessage

    public EClassifier getOclMessage()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `MessageType` metatype, named `OclMessage`.

  Specified by:
    `getOclMessage` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclMessage` type (an instance of `MessageType`)

### getOclType

    public EClassifier getOclType()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `TypeType` metatype, named `OclType`.

  Specified by:
    `getOclType` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclType` type (an instance of `TypeType`)

### getOclVoid

    public EClassifier getOclVoid()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the single instance of the `VoidType` metatype, named `OclVoid`.

  Specified by:
    `getOclVoid` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OclVoid` type (an instance of `VoidType`)

### getOrderedSet

    public EClassifier getOrderedSet()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `OrderedSetType` metatype, named `OrderedSet(T)`.

  Specified by:
    `getOrderedSet` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `OrderedSet(T)` type (an instance of `OrderedSetType`)

### getReal

    public EClassifier getReal()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `PrimitiveType` metatype, named `Real`.

  Specified by:
    `getReal` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Real` type (an instance of `PrimitiveType`)

### getSequence

    public EClassifier getSequence()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `SequenceType` metatype, named `Sequence(T)`.

  Specified by:
    `getSequence` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Sequence(T)` type (an instance of `SequenceType`)

### getSet

    public EClassifier getSet()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the generic instance of the `SetType` metatype, named `Set(T)`.

  Specified by:
    `getSet` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `Set(T)` type (an instance of `SetType`)

### getState

    public EClassifier getState()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `ElementType` metatype that represents the type of states in the model, named `State`.

  Specified by:
    `getState` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `State` type (an instance of `ElementType`)

### getString

    public EClassifier getString()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `PrimitiveType` metatype, named `String`.

  Specified by:
    `getString` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `String` type (an instance of `PrimitiveType`)

### getT

    public EClassifier getT()

  Description copied from interface: `OCLStandardLibrary`
  Obtains a generic instance of the `AnyType` metatype that represents the type parameter of generic types and operations, named `T`.

  Specified by:
    `getT` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `T` type parameter (an instance of `AnyType`)

### getT2

    public EClassifier getT2()

  Description copied from interface: `OCLStandardLibrary`
  Obtains a generic instance of the `AnyType` metatype that represents another type parameter of generic operations (particularly certain OCL `Collection` operations), named `T2`.

  Specified by:
    `getT2` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `T2` type parameter (an instance of `AnyType`)

### getUnlimitedNatural

    public EClassifier getUnlimitedNatural()

  Description copied from interface: `OCLStandardLibrary`
  Obtains the instance of the `PrimitiveType` metatype, named `UnlimitedNatural`.

  Specified by:
    `getUnlimitedNatural` in interface `OCLStandardLibrary<EClassifier>`
  Returns:
    the `UnlimitedNatural` type (an instance of `PrimitiveType`)

### getOCLStdLibPackage

    public EPackage getOCLStdLibPackage()

  Returns:
    the `EPackage` which contains the OCL predefined types.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.